Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class QueueStats

    java.lang.Object
      com.sleepycat.db.DatabaseStats
          com.sleepycat.db.QueueStats

    public class QueueStats

extends DatabaseStats

The QueueStats object is used to return Queue database statistics.

Method Summary
`int` | `getCurRecno()` TODO
`int` | `getExtentSize()` TODO
`int` | `getFirstRecno()` TODO
`int` | `getMagic()` TODO
`int` | `getMetaFlags()` TODO
`int` | `getNumData()` TODO
`int` | `getNumKeys()` TODO
`int` | `getPages()` TODO
`int` | `getPagesFree()` TODO
`int` | `getPageSize()` TODO
`int` | `getReLen()` TODO
`int` | `getRePad()` TODO
`int` | `getVersion()` TODO
`String` | `toString()` For convenience, the QueueStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMagic

    public int getMagic()

  TODO

### getVersion

    public int getVersion()

  TODO

### getMetaFlags

    public int getMetaFlags()

  TODO

### getNumKeys

    public int getNumKeys()

  TODO

### getNumData

    public int getNumData()

  TODO

### getPageSize

    public int getPageSize()

  TODO

### getExtentSize

    public int getExtentSize()

  TODO

### getPages

    public int getPages()

  TODO

### getReLen

    public int getReLen()

  TODO

### getRePad

    public int getRePad()

  TODO

### getPagesFree

    public int getPagesFree()

  TODO

### getFirstRecno

    public int getFirstRecno()

  TODO

### getCurRecno

    public int getCurRecno()

  TODO

### toString

    public String toString()

  For convenience, the QueueStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.